# override definition from apache-devel
%define apache_addonconfdir %apache_confdir/addon-modules.d

Name: mod_gzip
Version: 1.3.26.1a
Release: alt1

Summary: Apache module: On-the-fly compression of HTML documents
Group: System/Servers
License: Apache
URL: http://sourceforge.net/projects/mod-gzip/

Source: http://dl.sourceforge.net/mod-gzip/mod_gzip-%version.tgz
Source2: mod_gzip.conf

# Note: this macros should be provided by apache-devel
%define apache_moddocdir  %apache_htdocsdir/addon-modules

# Automatically added by buildreq on Thu Oct 07 2004
BuildRequires: apache-devel

%description
Apache module: On-the-fly compression of HTML documents. Browser will
transparently decompress and display such documents.

%prep
%setup -q

%build
#make build APXS="%apache_apxs -Wc,\"$RPM_OPT_FLAGS\""
make build APXS="%apache_apxs"

%install
%__mkdir_p %buildroot{%apache_moduledir,%apache_addonconfdir,%apache_moddocdir}

%__install -m755 %name.so %buildroot%apache_moduledir

# docs
%__ln_s %_docdir/%name-%version/ %buildroot%apache_moddocdir/%name

%__install -m644 %_sourcedir/%name.conf %buildroot%apache_addonconfdir

%post
/sbin/service httpd condrestart

%postun
/sbin/service httpd condrestart

%files
%apache_moduledir/*
%apache_moddocdir/*
%config(noreplace) %apache_addonconfdir/*
%doc ChangeLog docs/manual/english/*

%changelog
* Thu Oct 07 2004 Victor Forsyuk <force@altlinux.ru> 1.3.26.1a-alt1
- Initial build for Sisyphus.

